Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020706
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementminoralways2012-06-07 18:482012-06-21 16:11
ReportercaristuView Statuspublic 
Assigned Tojecharri 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision6d03521c95b4
ProjectionnoneETAnoneTarget Version3.0MP14
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP11SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0020706: To clone sales order is missing the list price value

DescriptionWhen cloning a sales order, the sales order lines from the sales order have its list price equals to 0.0 instead of the origin value.
Steps To Reproduce1) Create a Sales Order with one order line at least.
2) Clone the Sales Order using the "Copy Record" button of the menu
3) Check that the list price of the cloned order line is equal to 0.0 instead of the origin value
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
causes defect 0031479 closedshuehner NPE in CloneOrderActionHandler as result of logic error in code 

-  Notes
(0049701)
hgbot (developer)
2012-06-08 09:58

Repository: erp/devel/pi
Changeset: 6d03521c95b497ab26bf92004a7bf593df82adb8
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Fri Jun 08 09:57:26 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6d03521c95b497ab26bf92004a7bf593df82adb8 [^]

Fixes issue 20706: To clone sales order is missing the list price value

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/businesslogic/CloneOrderActionHandler.java
---
(0049992)
caristu (developer)
2012-06-21 16:11

Verified

- Issue History
Date Modified Username Field Change
2012-06-07 18:48 caristu New Issue
2012-06-07 18:48 caristu Assigned To => mirurita
2012-06-07 18:48 caristu Modules => Core
2012-06-07 18:49 caristu Issue Monitored: networkb
2012-06-08 08:23 jonalegriaesarte Assigned To mirurita => jecharri
2012-06-08 09:58 hgbot Checkin
2012-06-08 09:58 hgbot Note Added: 0049701
2012-06-08 09:58 hgbot Status new => resolved
2012-06-08 09:58 hgbot Resolution open => fixed
2012-06-08 09:58 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/6d03521c95b497ab26bf92004a7bf593df82adb8 [^]
2012-06-21 16:11 caristu Note Added: 0049992
2012-06-21 16:11 caristu Status resolved => closed
2015-11-17 13:32 vmromanos Relationship added causes 0031479


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker